### Type parameters

- #### T

### Hierarchy

- Array

## Index

### Methods

- copyWithin
- fill
- find
- findIndex

## Methods

### copyWithin

- copyWithin(target: number, start: number, end?: undefined | number): this

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:64

  Returns the this object after copying a section of the array identified by start and end to the same array starting at position target

  #### Parameters

  - ##### target: number

    If target is negative, it is treated as length+target where length is the length of the array.

  - ##### start: number

    If start is negative, it is treated as length+start. If end is negative, it is treated as length+end.

  - ##### Optional end: undefined | number

    If not specified, length of the this object is used as its default value.

  #### Returns this

### fill

- fill(value: T, start?: undefined | number, end?: undefined | number): this

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:53

  Returns the this object after filling the section identified by start and end with value

  #### Parameters

  - ##### value: T

    value to fill array section with

  - ##### Optional start: undefined | number

    index to start filling the array at. If start is negative, it is treated as length+start where length is the length of the array.

  - ##### Optional end: undefined | number

    index to stop filling the array at. If end is negative, it is treated as length+end.

  #### Returns this

### find

- find<S>(predicate: function, thisArg?: any): S | undefined
- find(predicate: function, thisArg?: any): T | undefined

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:31

  Returns the value of the first element in the array where predicate is true, and undefined otherwise.

  #### Type parameters

  - #### S: T

  #### Parameters

  - ##### predicate: function

    find calls predicate once for each element of the array, in ascending order, until it finds one where predicate returns true. If such an element is found, find immediately returns that element value. Otherwise, find returns undefined.

    - - (this: void, value: T, index: number, obj: T[]): boolean

      - #### Parameters

        - ##### this: void

        - ##### value: T

        - ##### index: number

        - ##### obj: T[]

        #### Returns boolean

  - ##### Optional thisArg: any

    If provided, it will be used as the this value for each invocation of predicate. If it is not provided, undefined is used instead.

  #### Returns S | undefined

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:32

  #### Parameters

  - ##### predicate: function

    - - (value: T, index: number, obj: T[]): boolean

      - #### Parameters

        - ##### value: T

        - ##### index: number

        - ##### obj: T[]

        #### Returns boolean

  - ##### Optional thisArg: any

  #### Returns T | undefined

### findIndex

- findIndex(predicate: function, thisArg?: any): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:43

  Returns the index of the first element in the array where predicate is true, and -1 otherwise.

  #### Parameters

  - ##### predicate: function

    find calls predicate once for each element of the array, in ascending order, until it finds one where predicate returns true. If such an element is found, findIndex immediately returns that element index. Otherwise, findIndex returns -1.

    - - (value: T, index: number, obj: T[]): boolean

      - #### Parameters

        - ##### value: T

        - ##### index: number

        - ##### obj: T[]

        #### Returns boolean

  - ##### Optional thisArg: any

    If provided, it will be used as the this value for each invocation of predicate. If it is not provided, undefined is used instead.

  #### Returns number

Generated using TypeDoc